use std::io::{read_to_string, stdin};

fn main() {
    let temp = read_to_string(stdin()).unwrap();
    let mut iter = temp.split_ascii_whitespace().map(|x| x.parse::<usize>().unwrap());

    let h = iter.next().unwrap();
    let w = iter.next().unwrap();

    let n = iter.next().unwrap();

    let ds = (0..n).map(|_| iter.next().unwrap()).collect::<Vec<_>>();

    
}